import numpy as np
import matplotlib.pyplot as plt
import pylab as pl



x1 = np.arange(20)
#plt.figure(1)
plt.bar(x1,x1**3,align = 'center',width = 0.5, color = 'red')

#plt.show(plt.figure(1))


plt.figure(2)
plt.scatter(x1,x1+np.random.randn(len(x1)))

#plt.show()

## Step

#plt.figure(3)
plt.step(x1,x1**3,lw = 4, color = 'green')
plt.title('Step')

## Plot Pie
plt.figure(4,figsize =(6,6))
p1 = [20,30,40,10]
pl.pie(p1,labels = ['2000','2002','2010','2015'])
plt.title('sale')
plt.show()
